%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  image2data
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Turn Images into Data Sets

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-readbitmap >= 0.1.0
Requires:         R-CRAN-readbitmap >= 0.1.0

%description
The goal of 'image2data' is to extract images and return them into a data
set, especially for teaching data manipulation and data visualization.
Basically, the eponymous function takes an image file ('png', 'tiff',
'jpeg', 'bmp') and turn it into a data set, pixels being rows (subjects)
and columns (variables) being their coordinate positions (x- and y-axis)
and their respective color (in hex codes). The function can return a
complete image or a range of color (i.e., contour, silhouette). The data
can then be manipulated as would any data set by either creating other
related variables (to hide the image) or as a genuine toy data set.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
